<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package SuperBiz
 */

?>

	</div><!-- #content -->
<?php
	/* translators: %s: powered_by_text */
	$powered_by_text = sprintf( esc_html__( 'SuperBiz by %s', 'superbiz' ), '<a target="_blank" rel="designer" href="http://pixihq.com/">' . esc_html__( 'pixihq', 'superbiz' ) . '</a>' );
?>
	<?php if ( is_active_sidebar( 'superbiz-footer-widget' ) ) : ?>
		<div class="bottom_section">
			<div class="container">
				<div class="row">
					<?php dynamic_sidebar( 'superbiz-footer-widget' ); ?>	
				</div>
			</div>
		</div>
	<?php endif; ?>
	<footer id="colophon" class="site-footer">
		<div class="container">
			<div class="row">
				<div class="col-sm-12 col-md-6 text-center text-md-left">
					<?php
					$copyright_text = superbiz_get_option( 'copyright_text' );
						$copyright_text = apply_filters( 'superbiz_filter_copyright_text', $copyright_text );
						if ( ! empty( $copyright_text ) ) {
							$copyright_text = wp_kses_data( $copyright_text );
						}
						echo wp_kses($copyright_text , 'superbiz') ;
					?>
				</div>
				<?php if ( ! empty( $powered_by_text ) ) : ?>
					<div class="col-sm-12 col-md-6 text-md-right text-center">
						<div class="site-info">
							<?php echo wp_kses( $powered_by_text , 'superbiz'); ?>
						</div><!-- .site-info -->
					</div><!-- .colophon-column -->
				<?php endif; ?>
			</div>
		</div>
	</footer><!-- #colophon -->
</div><!-- #page -->
<?php wp_footer(); ?>
</body>
</html>
