<?php
/**
 * Default theme options.
 *
 * @package SuperBiz
 */

if ( ! function_exists( 'superbiz_get_default_theme_options' ) ) :

	/**
	 * Get default theme options.
	 *
	 * @since 1.0.0
	 *
	 * @return array Default theme options.
	 */
	function superbiz_get_default_theme_options() {

		$defaults = array();
		// Top Bar
		$defaults['show_topbar']       	= false;
		$defaults['topbar_address']    	= '';
		$defaults['topbar_phone']    	= '';
		$defaults['topbar_email']    	= '';
		$defaults['show_social_menu']    	= true;
		
		// Header.
		$defaults['search_in_header'] 		= true;
		$defaults['enable_sticky_header'] 	= false;
		$defaults['header_bg_color'] 	= '#000';
		$defaults['enable_header_opecity'] 	= false;


		//colors
		$defaults['primary'] 	= 	'#2c2b2c';
		$defaults['secondary'] 	= 	'#dd8808';
		$defaults['topbar_bg_color']    	= '#2c2b2c';
		$defaults['topbar_color']    	= '#fff';
		$defaults['menu_link_color'] 	= 	'#fff';
		$defaults['menu_link_color_hover'] 	= 	'#dd8808';

		// Layout.
		$defaults['global_layout']           	= 'right-sidebar';
		$defaults['page_layout']           		= 'no-sidebar';
		$defaults['archive_layout']          	= 'excerpt';


		// Footer.
		$defaults['copyright_text']        = esc_html__( 'Copyright &copy; All rights reserved.', 'superbiz' );

		// Blog.
		$defaults['excerpt_length']     = 40;
		$defaults['read_more_text']     = esc_html__( 'Read More', 'superbiz' );

		
		
		$defaults = apply_filters( 'superbiz_filter_default_theme_options', $defaults );
		return $defaults;
	}

endif;
