<?php
/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function superbiz_widgets_init() {
	register_sidebar( array(
		'name'          => esc_html__( 'Sidebar', 'superbiz' ),
		'id'            => 'superbiz-sidebar-1',
		'description'   => esc_html__( 'Add widgets here.', 'superbiz' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );

	register_sidebar( array(
		'name'          => esc_html__( 'Footer Widgets Area', 'superbiz' ),
		'id'            => 'superbiz-footer-widget',
		'description'   => esc_html__( 'Add widgets here.', 'superbiz' ),
		'before_widget' => '<section id="%1$s" class="footer_widget_box  col-md-4 col-lg-4 %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );
	
}
add_action( 'widgets_init', 'superbiz_widgets_init' );
