<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package SuperBiz
 */

get_header();
$sidebar_layout = superbiz_get_option( 'global_layout' );

?>
	<?php 
	if ( ! is_front_page() && !is_search()) :
			if (has_post_thumbnail( $post->ID ) ):
	    	$img = wp_get_attachment_image_src(get_post_thumbnail_id(get_option('page_for_posts')),'full'); ?>
	    	<div class="inner_page_header_img" style=" background-image: url(<?php echo esc_url($img[0]) ?>); ">
	    	<?php elseif ( get_header_image()): ?>
			<div class="inner_page_header_img" style=" background-image: url(<?php echo esc_url( header_image()) ?>); ">
	    	<?php else: ?>
			<div class="inner_page_header_img" style=" background-color: rgba(0,0,0, 0.5);">
			<?php endif; ?>
				<div class="container">
					<div class="row">
							<div class="col">
								<header>
									<h1 class="page-title"><?php single_post_title(); ?></h1>
								</header>
							</div>
					</div>
				</div>
			</div><!-- .header-image -->
		
		<?php
	endif;
	?>
	<div id="primary" class="content-area">
		<main id="main" class="site-main">
			<div class="container">
				<div class="row">
					<div class="col <?php echo esc_attr($sidebar_layout); ?>">
						<?php
						if ( have_posts() ) :
/*
							if ( is_home() && ! is_front_page() ) :
								?>
								<header>
									<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
								</header>
								<?php
							endif;
*/
							/* Start the Loop */
							while ( have_posts() ) :
								the_post();

								/*
								 * Include the Post-Type-specific template for the content.
								 * If you want to override this in a child theme, then include a file
								 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
								 */
								get_template_part( 'template-parts/content', get_post_type() );

							endwhile;

							the_posts_navigation();

						else :

							get_template_part( 'template-parts/content', 'none' );

						endif;
						?>
					</div>
					<?php 
						if ( 'no-sidebar'  !=  $sidebar_layout){
							get_sidebar();
						}
					?>
				</div>
			</div>
		</main><!-- #main -->
	</div><!-- #primary -->
<?php
get_footer();
