

jQuery( document ).ready(function($) {
	"use strict";

	/**
	 * Dropdown Select2 Custom Control
	 *
	 * @author Anthony Hortin <http://maddisondesigns.com>
	 * @license http://www.gnu.org/licenses/gpl-2.0.html
	 * @link https://github.com/maddisondesigns
	 */

	$('.customize-control-dropdown-select2').each(function(){
		$('.customize-control-select2').select2({
			allowClear: true
		});
	});

	$(".customize-control-select2").on("change", function() {
		var select2Val = $(this).val();
		$(this).parent().find('.customize-control-dropdown-select2').val(select2Val).trigger('change');
	});

	/**
	 * Googe Font Select Custom Control
	 *
	 * @author Anthony Hortin <http://maddisondesigns.com>
	 * @license http://www.gnu.org/licenses/gpl-2.0.html
	 * @link https://github.com/maddisondesigns
	 */

	$('.google-fonts-list').select2();

	$('.google-fonts-list').on('change', function() {
		var elementRegularWeight = $(this).parent().parent().find('.google-fonts-regularweight-style');
		var elementItalicWeight = $(this).parent().parent().find('.google-fonts-italicweight-style');
		var elementBoldWeight = $(this).parent().parent().find('.google-fonts-boldweight-style');
		var selectedFont = $(this).val();
		var customizerControlName = $(this).attr('control-name');
		var elementItalicWeightCount = 0;
		var elementBoldWeightCount = 0;

		// Clear Weight/Style dropdowns
		elementRegularWeight.empty();
		elementItalicWeight.empty();
		elementBoldWeight.empty();
		// Make sure Italic & Bold dropdowns are enabled
		elementItalicWeight.prop('disabled', false);
		elementBoldWeight.prop('disabled', false);

		// Get the Google Fonts control object
		var bodyfontcontrol = _wpCustomizeSettings.controls[customizerControlName];

		// Find the index of the selected font
		var indexes = $.map(bodyfontcontrol.superbizfontslist, function(obj, index) {
			if(obj.family === selectedFont) {
				return index;
			}
		});
		var index = indexes[0];

		// For the selected Google font show the available weight/style variants
		$.each(bodyfontcontrol.superbizfontslist[index].variants, function(val, text) {
			elementRegularWeight.append(
				$('<option></option>').val(text).html(text)
			);
			if (text.indexOf("italic") >= 0) {
				elementItalicWeight.append(
					$('<option></option>').val(text).html(text)
				);
				elementItalicWeightCount++;
			} else {
				elementBoldWeight.append(
					$('<option></option>').val(text).html(text)
				);
				elementBoldWeightCount++;
			}
		});

		if(elementItalicWeightCount == 0) {
			elementItalicWeight.append(
				$('<option></option>').val('').html('Not Available for this font')
			);
			elementItalicWeight.prop('disabled', 'disabled');
		}
		if(elementBoldWeightCount == 0) {
			elementBoldWeight.append(
				$('<option></option>').val('').html('Not Available for this font')
			);
			elementBoldWeight.prop('disabled', 'disabled');
		}

		// Update the font category based on the selected font
		$(this).parent().parent().find('.google-fonts-category').val(bodyfontcontrol.superbizfontslist[index].category);

		superbizGetAllSelects($(this).parent().parent());
	});

	$('.google_fonts_select_control select').on('change', function() {
		superbizGetAllSelects($(this).parent().parent());
	});

	function superbizGetAllSelects($element) {
		var selectedFont = {
			font: $element.find('.google-fonts-list').val(),
			regularweight: $element.find('.google-fonts-regularweight-style').val(),
			italicweight: $element.find('.google-fonts-italicweight-style').val(),
			boldweight: $element.find('.google-fonts-boldweight-style').val(),
			category: $element.find('.google-fonts-category').val()
		};

		// Important! Make sure to trigger change event so Customizer knows it has to save the field
		$element.find('.customize-control-google-font-selection').val(JSON.stringify(selectedFont)).trigger('change');
	}


   $( "#sub-accordion-section-superbiz_order_section" ).sortable({
   	update: function(event, ui) {
   		var ids = $('#sub-accordion-section-superbiz_order_section li').map(function(i) { return this.id; }).get();
   		var order; 
                //loop trought each li...
                $('#sub-accordion-section-superbiz_order_section li').each( function(e) {
                	order += $(this).attr('id')  + '=' + ( $(this).index())+',';
                });

                // var section = order.split(",");
                // section_data = section.slice(0,-1);
                var ajaxurl = "<?php echo admin_url('admin-ajax.php'); ?>";

                var data = {
                	action: 'get_prev',
                	section_order: order,
                };
				// var ajaxurl = 'http://lc.demo.com/wordpress/superBiz/wp-content/themes/superbiz';  //WHAT IS THIS?!?!
				var ajaxurl = ajax_object.ajaxurl;
				console.log( );
				// var base_url = window.location.origin;
				jQuery.post(ajaxurl, data, function(response) {
					wp.customize.previewer.refresh();
				});



			}
		});

$('#customize-control-theme_options-otherslider').hide(); 
$('#customize-control-theme_options-slider_animation_type').hide(); 
$('#customize-control-theme_options-slider_speed').hide(); 
$('#customize-control-slider_img_one').hide(); 
$('#customize-control-slider_img_two').hide(); 
$('#customize-control-slider_img_three').hide(); 
$('#customize-control-slider_img_four').hide(); 
$('#customize-control-slider_img_five').hide(); 

if($('#customize-control-theme_options-slider_enable select').val() == 'themeslider') {
    $('#customize-control-theme_options-slider_animation_type').show(); 
	$('#customize-control-theme_options-slider_speed').show(); 
	$('#customize-control-slider_img_one').show(); 
	$('#customize-control-slider_img_two').show(); 
	$('#customize-control-slider_img_three').show(); 
	$('#customize-control-slider_img_four').show(); 
	$('#customize-control-slider_img_five').show(); 
} else {
    $('#customize-control-theme_options-slider_animation_type').hide(); 
	$('#customize-control-theme_options-slider_speed').hide(); 
	$('#customize-control-slider_img_one').hide(); 
	$('#customize-control-slider_img_two').hide(); 
	$('#customize-control-slider_img_three').hide(); 
	$('#customize-control-slider_img_four').hide(); 
	$('#customize-control-slider_img_five').hide(); 
} 
if($('#customize-control-theme_options-slider_enable select').val() == 'themeslider') {
    $('#customize-control-theme_options-slider_animation_type').show(); 
	$('#customize-control-theme_options-slider_speed').show(); 
	$('#customize-control-slider_img_one').show(); 
	$('#customize-control-slider_img_two').show(); 
	$('#customize-control-slider_img_three').show(); 
	$('#customize-control-slider_img_four').show(); 
	$('#customize-control-slider_img_five').show(); 
} else {
    $('#customize-control-theme_options-slider_animation_type').hide(); 
	$('#customize-control-theme_options-slider_speed').hide(); 
	$('#customize-control-slider_img_one').hide(); 
	$('#customize-control-slider_img_two').hide(); 
	$('#customize-control-slider_img_three').hide(); 
	$('#customize-control-slider_img_four').hide(); 
	$('#customize-control-slider_img_five').hide(); 
} 
if($('#customize-control-theme_options-slider_enable select').val() == 'otherslider') {
    $('#customize-control-theme_options-otherslider').show(); 
$('#customize-control-theme_options-banner_title').hide(); 
$('#customize-control-theme_options-banner_text').hide(); 
$('#customize-control-theme_options-banner_btn_text').hide(); 
$('#customize-control-theme_options-banner_btn_link').hide(); 
} else {
$('#customize-control-theme_options-otherslider').hide(); 
 $('#customize-control-theme_options-banner_title').show(); 
$('#customize-control-theme_options-banner_text').show(); 
$('#customize-control-theme_options-banner_btn_text').show(); 
$('#customize-control-theme_options-banner_btn_link').show(); 
} 
    $('#customize-control-theme_options-slider_enable select').change(function(){
        if($('#customize-control-theme_options-slider_enable select').val() == 'otherslider') {
            $('#customize-control-theme_options-otherslider').show(); 
            $('#customize-control-theme_options-banner_title').hide(); 
            $('#customize-control-theme_options-banner_text').hide(); 
            $('#customize-control-theme_options-banner_btn_text').hide(); 
            $('#customize-control-theme_options-banner_btn_link').hide(); 
        } else {
            $('#customize-control-theme_options-otherslider').hide(); 
             $('#customize-control-theme_options-banner_title').show(); 
            $('#customize-control-theme_options-banner_text').show(); 
            $('#customize-control-theme_options-banner_btn_text').show(); 
            $('#customize-control-theme_options-banner_btn_link').show(); 
        } 
        if($('#customize-control-theme_options-slider_enable select').val() == 'themeslider') {
            $('#customize-control-theme_options-slider_animation_type').show(); 
			$('#customize-control-theme_options-slider_speed').show(); 
			$('#customize-control-slider_img_one').show(); 
			$('#customize-control-slider_img_two').show(); 
			$('#customize-control-slider_img_three').show(); 
			$('#customize-control-slider_img_four').show(); 
			$('#customize-control-slider_img_five').show(); 
        } else {
            $('#customize-control-theme_options-slider_animation_type').hide(); 
			$('#customize-control-theme_options-slider_speed').hide(); 
			$('#customize-control-slider_img_one').hide(); 
			$('#customize-control-slider_img_two').hide(); 
			$('#customize-control-slider_img_three').hide(); 
			$('#customize-control-slider_img_four').hide(); 
			$('#customize-control-slider_img_five').hide(); 
        } 
    });	
});