<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package SuperBiz
 */

get_header();
$site_layout = superbiz_get_option( 'page_layout' );
?>
	<?php 
	if ( ! is_front_page() && !is_search()) :
		?>
		<?php if (has_post_thumbnail( $post->ID ) ): ?>
		  <?php  $image = wp_get_attachment_image_src(get_post_thumbnail_id(),'full');  ?>
		  <div class="inner_page_header_img" style=" background-image: url(<?php echo esc_url( $image[0]) ?>); ">
		<?php elseif ( get_header_image()): ?>
		 	<div class="inner_page_header_img" style=" background-image: url(<?php echo esc_url( header_image()) ?>); ">
		<?php else: ?>
			<div class="inner_page_header_img" style=" background-color: rgba(0,0,0, 0.5);">
		<?php endif; ?>
		
			<div class="container">
				<div class="row">
						<header>
							<h1 class="page-title"><?php single_post_title(); ?></h1>
						</header>
				</div>
			</div>
		</div><!-- .header-image -->
		<?php
	endif;
	?>
	<div id="primary" class="content-area">
		<main id="main" class="site-main">
			<div class="container">
				<div class="row">
					<div class="col-xs-12 col <?php echo esc_attr( $site_layout ); ?>" >
						<?php
						while ( have_posts() ) :
							the_post();

							get_template_part( 'template-parts/content', 'page' );

							// If comments are open or we have at least one comment, load up the comment template.
							if ( comments_open() || get_comments_number() ) :
								comments_template();
							endif;

						endwhile; // End of the loop.
						?>
					</div>
					
					<?php 
						if ( 'no-sidebar'  !=  $site_layout){
							get_sidebar();
						}
					?>
				</div>
			</div>
		</main><!-- #main -->
	</div><!-- #primary -->

<?php
get_footer();
