<?php
/**
/**
 * Template Name: Front Page
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package SuperBiz
 */
get_header();
$site_layout = superbiz_get_option( 'page_layout' );
?>
	<div id="primary">
		<main id="main" class="site-main">
			<div class="container">
				<div class="row">
					<div class="col-xs-12 col <?php echo esc_attr( $site_layout ); ?>" >
						<?php
						while ( have_posts() ) :
							the_post();

							the_content();

						endwhile; // End of the loop.
						?>
					</div>
					
					<?php 
						if ( 'no-sidebar'  !=  $site_layout){
							get_sidebar();
						}
					?>
				</div>
			</div>
		</main><!-- #main -->
	</div><!-- #primary -->

<?php
get_footer();
